# Delete a pool rule

Delete a pool rule.

Endpoint: DELETE /api/pool_rules/{poolRuleId}
Version: 1.0
Security: ApiKeyAuth

## Path parameters:

  - `poolRuleId` (integer, required)
    ID of the rule

## Response 200 fields (application/json):

  - `conditions` (array, required) — one of (discriminator: type):
    Conditions that must be met for the rule to assign an attempt to a pool. If multiple conditions are specified, all conditions must be met.
    - invocation_type:
      - `values` (array, required)
        Invocation types to match against. If multiple values are provided, the condition is met if the invocation type is one of the provided invocation types.
        Enum: "on_demand", "scheduled"
    - project_name:
      - `operator` (string, required)
        Operator to use for matching the project name.
        Enum: "starts_with"
      - `values` (array, required)
        Values to match against the project name. If multiple values are provided, the condition is met if the project name matches one of the provided values.
    - workflow_name:
      - `operator` (string, required)
        Operator to use for matching the workflow name.
        Enum: same as `operator` in "project_name" (1 values)
      - `values` (array, required)
        Values to match against the workflow name. If multiple values are provided, the condition is met if the workflow name matches one of the provided values.
    - workflow_type:
      - `values` (array, required)
        Workflow types to match against. If multiple values are provided, the condition is met if the workflow type is one of the provided workflow types.
        Enum: "ab_test", "audience", "customer_journey", "engage", "predictive_scoring", "realtime", "segment_insights", "syndication"

  - `conditions.type` (string, required)

  - `id` (string, required)
    ID of the pool rule.
    Example: "42"

  - `poolId` (string, required)
    ID of the pool that this rule assigns attempts to.
    Example: "42"

  - `priority` (integer, required)
    Priority of the rule. Rules are evaluated in priority order, from the lowest value to the highest value. Multiple rules cannot have the same priority.
    Example: 10


## Response 403 fields

## Response 404 fields
